
struct axpcb {
	struct axpcb *axp_next;
	struct axpcb *axp_prev;
	struct axpcb *axp_head;
	struct socket *axp_socket;
	struct ifnet *axp_ifp;
	struct ax_addr axp_faddr;
	struct ax_addr axp_laddr;
	u_short axp_flags;
	u_short axp_state;

#define axp_startzero axp_off
	u_int axp_off;
	u_short axp_pklengths[8];
	u_short axp_T1;
	u_short axp_T2;
	u_short axp_T3;
	u_short axp_N2;

	char axp_vs;
	char axp_vr;
	char axp_una;

	u_char axp_pollsent:	1;
	u_char axp_rejsent:	1;
	u_char axp_remotebusy:	1;
	u_char axp_localbusy:	1;
	u_char axp_pollresent:	1;
	u_char axp_padc5:	1;
	u_char axp_padc6:	1;
	u_char axp_padc7:	1;

	int axp_polltime;
	int axp_lastrtt;
	int axp_srtt;
};

#define AXS_CLOSED		0
#define	AXS_LISTEN		1
#define AXS_OPENING		2
#define AXS_OPEN		3
#define AXS_CLOSING		4

#ifdef AXSTATES
char *axstates[] = {
	"CLOSED",
	"LISTEN",
	"OPENING",
	"OPEN",
	"CLOSING",
	"???"
};
#endif

#ifdef KERNEL
extern char *axstates[];
extern struct axpcb axb;
extern struct axpcb axbeacons;
extern struct axpcb *ax_pcblookup();
extern struct axpcb *ax_pcblookupbeacon();
extern struct ifnet *ax_iflookup();
#endif

